cpw.mods.fml.common.gameevent

## Enum TickEvent.Type

- java.lang.Object
- - java.lang.Enum<TickEvent.Type>
  - - cpw.mods.fml.common.gameevent.TickEvent.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TickEvent.Type>
  Enclosing class:
    TickEvent

      public static enum TickEvent.Type
      extends java.lang.Enum<TickEvent.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT`
    `PLAYER`
    `RENDER`
    `SERVER`
    `WORLD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TickEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TickEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORLD

          public static final TickEvent.Type WORLD

    - #### PLAYER

          public static final TickEvent.Type PLAYER

    - #### CLIENT

          public static final TickEvent.Type CLIENT

    - #### SERVER

          public static final TickEvent.Type SERVER

    - #### RENDER

          public static final TickEvent.Type RENDER

  - ### Method Detail

    - #### values

          public static TickEvent.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TickEvent.Type c : TickEvent.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TickEvent.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null